Bug 99886 - amavis-stats port does not work
Summary: amavis-stats port does not work
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-07 16:00 UTC by Oleg Gawriloff
Modified: 2006-07-10 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.03 KB, patch)
2006-07-07 16:00 UTC, Oleg Gawriloff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Gawriloff 2006-07-07 16:00:46 UTC
After installing amavis-stats port, when we try to execute /usr/local/sbin/amavis-stats we see following errors:
syntax error at ./amavis-stats line 215, near "err"
syntax error at ./amavis-stats line 223, near "}"
Execution of ./amavis-stats aborted due to compilation errors.
Comment 1 Rong-En Fan freebsd_committer 2006-07-09 02:22:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainer feedback. 


Comment 2 Rong-En Fan freebsd_committer 2006-07-09 02:22:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 3 Rong-En Fan freebsd_committer 2006-07-09 02:27:37 UTC
Dear maintainer,

Please review the patch in the following PR, thanks.

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/99886

I also noticed that this is a known issue:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/97297

How do you think about this now?

Regards,
Rong-En Fan
Comment 4 Mantas Kaulakys 2006-07-10 15:24:24 UTC
Hi,

I agree with this patch.

I think you can also close the Problem Report ports/97297, 
because this fixes the problem.

Regards,
Mantas
Comment 5 Oleg Gawriloff 2006-07-10 15:55:59 UTC
Hello, Mantas!
You wrote to <bug-followup@FreeBSD.org>; <barzog@telecom.by> on Mon, 10 Jul 
2006 17:24:24 +0300:

 MK> I agree with this patch.
 MK> I think you can also close the Problem Report ports/97297,
 MK> because this fixes the problem.
There is another problem with this version of amavis-stats. After applying 
patch on perl part, after trying to test php part I see following errors in 
apache errorlog file:
[Fri Jul 07 18:02:38 2006] [error] [client 172.16.2.15] PHP Notice: 
Undefined index:  debug in /usr/local/www/amavis-stats/amavis-stats.php on 
line 195
[Fri Jul 07 18:02:38 2006] [error] [client 172.16.2.15] PHP Notice:  Use of 
undefined constant calcpr - assumed 'calcpr' in 
/usr/local/www/amavis-stats/amavis-stats.php on line 111
[Fri Jul 07 18:02:38 2006] [error] [client 172.16.2.15] PHP Notice:  Use of 
undefined constant calcpr - assumed 'calcpr' in 
/usr/local/www/amavis-stats/amavis-stats.php on line 522
[Fri Jul 07 18:02:38 2006] [error] [client 172.16.2.15] PHP Notice:  Use of 
undefined constant calcpr - assumed 'calcpr' in 
/usr/local/www/amavis-stats/amavis-stats.php on line 523
[Fri Jul 07 18:02:38 2006] [error] [client 172.16.2.15] PHP Notice: 
Undefined offset:  -1 in /usr/local/www/amavis-stats/amavis-stats.php on 
line 548
And so on. I'm not php-guru and version 0.1.21 works well for me (as I wrote 
in PR to 97297), so I give up.

With best regards, Oleg Gawriloff.
Comment 6 Rong-En Fan freebsd_committer 2006-07-10 15:59:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks.